io.etcd.jetcd.api

## Class ClusterGrpc

- java.lang.Object
- - io.etcd.jetcd.api.ClusterGrpc

    @Generated(value="by gRPC proto compiler (version 1.27.1)",
               comments="Source: rpc.proto")
    public final class ClusterGrpc
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ClusterGrpc.ClusterBlockingStub`
`static class` `ClusterGrpc.ClusterFutureStub`
`static class` `ClusterGrpc.ClusterImplBase`
`static class` `ClusterGrpc.ClusterStub`

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.MethodDescriptor<MemberAddRequest,MemberAddResponse>` `getMemberAddMethod()`
`static io.grpc.MethodDescriptor<MemberListRequest,MemberListResponse>` `getMemberListMethod()`
`static io.grpc.MethodDescriptor<MemberRemoveRequest,MemberRemoveResponse>` `getMemberRemoveMethod()`
`static io.grpc.MethodDescriptor<MemberUpdateRequest,MemberUpdateResponse>` `getMemberUpdateMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static ClusterGrpc.ClusterBlockingStub` `newBlockingStub(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static ClusterGrpc.ClusterFutureStub` `newFutureStub(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static ClusterGrpc.ClusterStub` `newStub(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getMemberAddMethod

    public static io.grpc.MethodDescriptor<MemberAddRequest,MemberAddResponse> getMemberAddMethod()

#### getMemberRemoveMethod

    public static io.grpc.MethodDescriptor<MemberRemoveRequest,MemberRemoveResponse> getMemberRemoveMethod()

#### getMemberUpdateMethod

    public static io.grpc.MethodDescriptor<MemberUpdateRequest,MemberUpdateResponse> getMemberUpdateMethod()

#### getMemberListMethod

    public static io.grpc.MethodDescriptor<MemberListRequest,MemberListResponse> getMemberListMethod()

#### newStub

    public static ClusterGrpc.ClusterStub newStub(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static ClusterGrpc.ClusterBlockingStub newBlockingStub(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static ClusterGrpc.ClusterFutureStub newFutureStub(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()